unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    Label1: TLabel;
    Edit2: TEdit;
    Edit3: TEdit;
    Button1: TButton;
    Button2: TButton;
    Label2: TLabel;
    Label3: TLabel;
    Button3: TButton;
    Memo1: TMemo;
    Button4: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

Function primzahl(zahl : INTEGER) : Boolean;
VAR teiler : Integer;
    prim : BOOLEAN;
BEGIN
  teiler := 2;
  If zahl = 1 THEN
    prim := FALSE
  ELSE
    prim := TRUE;
  WHILE prim and (teiler <= zahl DIV 2) DO
  BEGIN
    if zahl MOD teiler = 0 THEN
      prim := False;
    teiler := teiler + 1;
  END;
  primzahl := prim;
END;

FUNCTION ggt(z1, z2 : INTEGER) : INTEGER;
BEGIN
  WHILE z1<>z2 DO
  BEGIN
    if z1 > z2 THEN
      z1 := z1 - z2
    ELSE
      z2 := z2 - z1;
  END;
  ggt := z1;
END;

FUNCTION KgV(z1, z2 : INTEGER) : INTEGER;
BEGIN
  kgv := z1*z2 DIV ggt(z1,z2);
END;

procedure TForm1.Button1Click(Sender: TObject);
begin
   if primzahl(StrToInt(edit1.text)) THEN
     label2.Caption := 'Primzahl'
   else
     label2.Caption := 'Keine Primzahl';
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  close
end;

procedure TForm1.Button4Click(Sender: TObject);
VAR i, nr : INTEGER;
begin
  nr := 0;
  FOR i:=1 TO 10000 DO
    if primzahl(i) THEN
    BEGIN
      inc(nr);
      memo1.Lines.Add(IntToStr(nr)+':   '+IntToStr(i));
    END;
end;

procedure TForm1.Button2Click(Sender: TObject);
VAR z1, z2 : INTEGER;
begin
  z1 := StrToInt(edit2.Text) ;
  z2 := StrToInt(edit3.Text) ;
  label3.Caption := 'ggT = '+IntToStr(ggt(z1,z2))+'     kgV = '+IntToStr(kgv(z1,z2));
end;

end.
